Kwalitee Issues

meta_yml_conforms_to_known_spec

Take a look at the META.yml Spec at http://module-build.sourceforge.net/META-spec-v1.4.html (for version 1.4) or http://search.cpan.org/perldoc?CPAN::Meta::Spec (for version 2), and change your META.yml accordingly.

Error: License '<undef>' is invalid (license) [Validation: 1.2];Missing mandatory field, 'license' (license) [Validation: 1.2]

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: AxKit-App-TABOO-0.52/lib/AxKit/App/TABOO/XSP/User.pm -- Around line 426: Non-ASCII character seen before =encoding in 'Jörg'. Assuming CP1252

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Apache
  • Apache::Constants
  • Apache::Cookie
  • Apache::Log
  • Apache::Request
  • Apache::URI

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.093,0.095,0.1,0.18,0.18_01,0.19,0.2,0.21,0.3,0.33,0.4,0.52,0.53

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

has_tests_in_t_dir

Add tests or move tests.pl to the t/ directory!

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: AxKit::App::TABOO::Provider::Article

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
AxKit::App::TABOO Object Oriented Publishing Framework for AxKit 0.52 metacpan
AxKit::App::TABOO::AddXSLParams::Session Minimal session parameter XSLT access for TABOO 0.1 metacpan
AxKit::App::TABOO::Data Base class of abstracted Data objects for TABOO 0.52 metacpan
AxKit::App::TABOO::Data::Article Article Data object for TABOO 0.3 metacpan
AxKit::App::TABOO::Data::Category Category Data objects for TABOO 0.18 metacpan
AxKit::App::TABOO::Data::Comment Comment Data object for TABOO 0.095 metacpan
AxKit::App::TABOO::Data::Language Language Data objects for TABOO 0.3 metacpan
AxKit::App::TABOO::Data::MediaType MediaType Data objects for TABOO 0.2 metacpan
AxKit::App::TABOO::Data::Plurals Base class to handle multiple Data objects in TABOO 0.3 metacpan
AxKit::App::TABOO::Data::Plurals::Articles Data objects to handle multiple Articles in TABOO 0.2 metacpan
AxKit::App::TABOO::Data::Plurals::Categories Data objects to handle multiple Categories in TABOO 0.21 metacpan
AxKit::App::TABOO::Data::Plurals::Comments Data objects to handle multiple Comments in TABOO 0.093 metacpan
AxKit::App::TABOO::Data::Plurals::Languages Data objects to handle multiple Languages in TABOO 0.3 metacpan
AxKit::App::TABOO::Data::Plurals::MediaTypes Data objects to handle multiple MediaTypes in TABOO 0.18 metacpan
AxKit::App::TABOO::Data::Plurals::Stories Data objects to handle multiple Stories in TABOO 0.18 metacpan
AxKit::App::TABOO::Data::Plurals::Users Data objects to handle multiple Users in TABOO 0.19 metacpan
AxKit::App::TABOO::Data::Story Story Data object for TABOO 0.33 metacpan
AxKit::App::TABOO::Data::User User Data objects for TABOO 0.3 metacpan
AxKit::App::TABOO::Data::User::Contributor Contributor Data objects for TABOO 0.21 metacpan
AxKit::App::TABOO::Handler::Login Straight mod_perl handler to authenticate a user in TABOO 0.2 metacpan
AxKit::App::TABOO::Provider::Classification Provider for classifiying things in TABOO 0.4 metacpan
AxKit::App::TABOO::Provider::News News Provider for TABOO 0.4 metacpan
AxKit::App::TABOO::Provider::NewsList Provider for listing news stories in TABOO 0.4 metacpan
AxKit::App::TABOO::XSP::Article Article management tag library for TABOO 0.4 metacpan
AxKit::App::TABOO::XSP::Category Category management tag library for TABOO 0.4 metacpan
AxKit::App::TABOO::XSP::Comment News comment management tag library for TABOO 0.52 metacpan
AxKit::App::TABOO::XSP::Language Language management tag library for TABOO 0.4 metacpan
AxKit::App::TABOO::XSP::Story News story management tag library for TABOO 0.53 metacpan
AxKit::App::TABOO::XSP::User User information management and authorization tag library for TABOO 0.4 metacpan

Provides

Name File View
Apache::AxKit::Provider::Article lib/AxKit/App/TABOO/Provider/Article.pm metacpan
AxKit::App::TABOO::XSP::Article::Handlers lib/AxKit/App/TABOO/XSP/Article.pm metacpan
AxKit::App::TABOO::XSP::Category::Handlers lib/AxKit/App/TABOO/XSP/Category.pm metacpan
AxKit::App::TABOO::XSP::Comment::Handlers lib/AxKit/App/TABOO/XSP/Comment.pm metacpan
AxKit::App::TABOO::XSP::Language::Handlers lib/AxKit/App/TABOO/XSP/Language.pm metacpan
AxKit::App::TABOO::XSP::Story::Handlers lib/AxKit/App/TABOO/XSP/Story.pm metacpan
AxKit::App::TABOO::XSP::User::Handlers lib/AxKit/App/TABOO/XSP/User.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan